# ARST打卡第110周[110/521]

<!--more-->

## Algorithm
lc_278第一个错误的版本

二分查找
```cpp
// The API isBadVersion is defined for you.
// bool isBadVersion(int version);

class Solution {
public:
    int firstBadVersion(int n) {
        // 防止溢出的一般性思路是开大空间
        long long l = 1;
        long long r = n;
        long long mid;
        while (l < r) {
            mid = (l + r) >> 1;
            // 优化思路
            // mid = l + (r - l) >> 1;
            if (isBadVersion(mid)) {
                r = mid;
            } else {
                l = mid + 1;
            }
        }
        return l;
    }
};
```

## Review
TED演讲，躺平，泰国大叔如此做
<div align = "center">
    <iframe  width="100%" height="700" src="//player.bilibili.com/player.html?aid=716081931&bvid=BV11Q4y197pP&cid=353046064&page=1" frameborder="0" allow="autoplay; encrypted-media" allowfullscreen></iframe>
</div>

生活应该简单一点，减少一些不必要的期望，就可以获得更多的从容，为人生做减法，便可以减少很多的烦恼

## Tips
一些步骤提高你与任何人闲谈的质量
<div align = "center">
    <iframe  width="100%" height="700" src="//player.bilibili.com/player.html?aid=756989155&bvid=BV1cr4y1P7oh&cid=304698927&page=1" frameborder="0" allow="autoplay; encrypted-media" allowfullscreen></iframe>
</div>

1. 赞美。夸两句身体工作
2. 使用“这让我想起”进行话题转换
3. 共同话题
4. 问为什么和推进式聊天。（深入话题）
5. 笑就完事
6. 模仿对方的言辞

## Share
维根斯坦:
语言是有上下文，那么多哲学问题是因为语言词语使用不当，将用于空间词语去描述时间，所以哲学问题是不存在，哲学已死，哲学转为研究形式语言的逻辑学。他与罗素共同点是致力于发明一种无需理解词义，只要根据词语形式就能推理的形式逻辑体系，结果计算机语言或如今的人工智能都做到了，完了他们的梦想。

很多时候，大家内心其实是同一个意思，但是因为表述语言有限以及表述方式的区别，导致会产生歧义，世界上很多的问题也就是来自于这些歧义。

因此，我认为，只要认真地用心去沟通，很多问题都不是问题，要么内心观点相同，要么内心观点相反，而无需更多的争论

